IF NOT EXISTS (SELECT * FROM sys.objects WHERE object_id = OBJECT_ID(N'[dbo].[EST_PROD_CPL_DEMANDA_PARAMETRO]') AND type in (N'U'))
BEGIN
CREATE TABLE [dbo].[EST_PROD_CPL_DEMANDA_PARAMETRO](
	[CD_CTR] [int] IDENTITY(1,1) NOT NULL,
	[CD_USU] [int] NOT NULL,
	[DT_CAD] [datetime] NOT NULL,
	[DS_PARAMENTRO] [varchar](150) NOT NULL,
 CONSTRAINT [PK_EST_PROD_CPL_DEMANDA_PARAMETRO] PRIMARY KEY CLUSTERED 
(
	[CD_CTR] ASC
)WITH (PAD_INDEX = OFF, STATISTICS_NORECOMPUTE = OFF, IGNORE_DUP_KEY = OFF, ALLOW_ROW_LOCKS = ON, ALLOW_PAGE_LOCKS = ON) ON [PRIMARY]
) ON [PRIMARY]

ALTER TABLE [dbo].[EST_PROD_CPL_DEMANDA_PARAMETRO] ADD  CONSTRAINT [DF_EST_PROD_CPL_DEMANDA_PARAMETRO_CD_USU]  DEFAULT ((0)) FOR [CD_USU]

ALTER TABLE [dbo].[EST_PROD_CPL_DEMANDA_PARAMETRO] ADD  CONSTRAINT [DF_EST_PROD_CPL_DEMANDA_PARAMETRO_DT_CAD]  DEFAULT (getdate()) FOR [DT_CAD]

ALTER TABLE [dbo].[EST_PROD_CPL_DEMANDA_PARAMETRO] ADD  CONSTRAINT [DF_EST_PROD_CPL_DEMANDA_PARAMETRO_DS_PARAMENTRO]  DEFAULT ('') FOR [DS_PARAMENTRO]
END

